    @ECHO OFF
    ECHO OFF

    IF (%1) == (X) GOTO MAIN
    IF EXIST CKF.TXT SET CKF=X
    IF NOT EXIST CHKFILES.EXE GOTO TROUBLE
    CHKFILES
    IF ERRORLEVEL 1 GOTO TROUBLE
    GOTO MAIN


:TROUBLE
    IF EXIST SHOWSBX.EXE GOTO TROUBL2
    CLS
    ECHO Your package is incomplete.  Phone 514-345-9578 for assistance.
    GOTO QUIT
:TROUBL2
    SHOWSBX SAPPHIRE MISSING
    GOTO QUIT

:MAIN
    PSMENU_D SAPPHIRE SYSOP 004
    IF ERRORLEVEL 10 GOTO QUIT
    IF ERRORLEVEL  9 GOTO VER
    IF ERRORLEVEL  8 GOTO MISC
    IF ERRORLEVEL  7 GOTO DSZ
    IF ERRORLEVEL  6 GOTO STD
    IF ERRORLEVEL  5 GOTO LOCAL
    IF ERRORLEVEL  4 GOTO DEMO
    IF ERRORLEVEL  3 GOTO CONFIG
    IF ERRORLEVEL  2 GOTO INFO
    IF ERRORLEVEL  1 GOTO QUIKINFO


:ERR
    ECHO Batch file error -- please inform Pinnacle at 514-345-9578.
    PAUSE
    GOTO MAIN


:QUIKINFO
    SEE QUIKINFO.DOC
    GOTO MAIN


:INFO
    IF NOT EXIST *.DOC GOTO MAIN
    INFO X
    GOTO ERR

:VER
    SRUN VER
    GOTO MAIN

:MISC
    MISC X
    GOTO ERR


:CONFIG
    CONFIG
    GOTO MAIN


:DEMO
    SHOWSBX SAPPHIRE SYSOP1
    SRUN DEMO
    GOTO MAIN


:LOCAL
    SAPPHIRE LOCAL
    GOTO ERR


:STD
    SAPPHIRE
    GOTO ERR


:DSZ
    IF NOT EXIST DSZ.COM GOTO DSZ2
    SHOWSBX SAPPHIRE SYSOP3
    GOTO MAIN


:DSZ2
    SHOWSBX SAPPHIRE SYSOP2
    ARCE DSZ
    PAUSE
    GOTO MAIN


:QUIT
